package examples.alarmclock;

public class CoffeeMachineService implements CoffeeMachine {

	private boolean switchedOn;

	private boolean brewed;

	public void switchOn() {
		if (!switchedOn) {
			switchedOn = true;
			System.out.println("The Coffee Machine has been switched on.");
		}
	}

	public void switchOff() {
		if (switchedOn) {
			switchedOn = false;
			System.out.println("The Coffee Machine has been switched off.");
		}
	}

	public void brew() {
		if (brewed) {
			System.out.println("The coffee is already brewed!");
		} else {
			brewed = true;
		}
	}

	public void serve() {
		if (!brewed) {
			System.out.println("Please brew the coffee first, before serving.");
		} else {
			brewed = false;
			System.out.println("The coffee is being served.");
		}
	}

}
