package examples.alarmclock;

import fr.inria.icocoa.semrep.AbstractStub;
import fr.inria.icocoa.semrep.excp.InvocationException;

public class AlarmClockStub extends AbstractStub implements AlarmClock {

	public AlarmClockStub(String wsdl) {
		super(wsdl);
	}

	public void activate() {
		try {
			doInvoke("AlarmClockActivate");
		} catch (InvocationException e) {
			System.err.println("An invocation error occurred: " + e);
		}
	}

}
